
# Arcana SDK
This SDK with get Authentication from the Arcana SDK

## Installation

This plugin is available on Pub: https://pub.dev/packages/arcana_auth_flutter

Add this to dependencies in your app's pubspec.yaml

```bash
  arcana_auth_flutter: ^0.0.5
```

## Usage

Initialization

```javascript
import 'package:arcana_sdk/arcana_sdk.dart';

final _arcanaSdkPlugin = ArcanaSdk();

    _arcanaSdkPlugin.initWeb(
          config : ArcanaConfig.dev,
          fullScreen : false,
          height: 400,
          width:400,
          alignment : Alignment.bottomCenter,
          context: context,
          isPasswordLessLogin: false,
          email: "XXXX",
          clientId: "XXXX",
          onError: (error){
            
          },
          onLoginSuccess : (){
            
          },
          onLoginFailed : (){
            
          },
          onLog :(String value){
            
          },
      );
```
## Show and Hide of the Arcana View

To Open the Webview

```javascript
_arcanaSdkPlugin.showArcanaView();
```

To Hide the Webview

```javascript
_arcanaSdkPlugin.hideArcanaView();
```

Resize the Webview

```javascript
_arcanaSdkPlugin.resize(false,double.parse(100),double.parse(200));

```

Get Visibility Status of the Webview

```javascript
var bool=_arcanaSdkPlugin.getWebViewVisibleStatus();

```

## Events and their implementation

To Clear Cache the Webview

```javascript
_arcanaSdkPlugin.clearCache();
```

SendRequest

```javascript
_arcanaSdkPlugin.sendRequest(ID,onSendRequestResponse:(response){
                      
});
```

Get Userinfo

```javascript
_arcanaSdkPlugin.getUserInfo(ID,onUserInfoResponse:(response){
                      
});
```

Get Userinfo

```javascript
_arcanaSdkPlugin.getUserInfo(ID,onUserInfoResponse:(response){
                      
});
```

Send Transaction

```javascript
_arcanaSdkPlugin.sendTransaction(ID,FROM,TO,VALUE,onTransactionResponse:(response){
                      
});
```

Get Account

```javascript
_arcanaSdkPlugin.getAccount(ID,getAccountResponse:(response){
                      
});
```

Logout

```javascript
_arcanaSdkPlugin.logOut(onLogoutResponse:(response){
                      
});
```

## Contributing

Pull requests are welcome. For major changes, please open an issue first
to discuss what you would like to change.


## License

[MIT](https://choosealicense.com/licenses/mit/)

## Keyword
oauth, social, authentication, passwordless, signup, login, web3, wallet, reactnative